Subject: bug#74740: 31.0.50; tty menus not displaying separators

From: Gerd Möllmann <[email-masked]>
Date: Sun, 08 Dec 2024 18:34:33 +0100

To see this, emacs -nw -q and open a menu from the menubar. Simple
separators there are displayed as "--".

More generally, all separator types are displayed as they appear in the
menu item definition, '--double-line' as "--double-line" and so on.

In GNU Emacs 31.0.50 (build 1, aarch64-apple-darwin24.1.0) of 2024-12-08
 built on pro2
Repository revision: 9a0e26b88616946d2512680859166caa2675b30a
Repository branch: master
System Description:  macOS 15.1.1